Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class CallSiteClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
              org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

    public class CallSiteClassLoader
    extends ClassLoaderForClassArtifacts

Field Summary

Fields inherited from class ClassLoaderForClassArtifacts
klazz

Constructor Summary
`CallSiteClassLoader(Class klazz)`

Method Summary
`protected Class` | `loadClass(String name, boolean resolve)`

Methods inherited from class ClassLoaderForClassArtifacts
createClassName, define, defineClassAndGetConstructor, loadClass

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### CallSiteClassLoader

    public CallSiteClassLoader(Class klazz)

Method Detail

### loadClass

    protected Class loadClass(String name, boolean resolve)

Copyright © 2003-2010 The Codehaus. All rights reserved.